package de.steamwar.lobby.particle.elements;

import de.steamwar.lobby.particle.ParticleElement;
import de.steamwar.lobby.particle.ParticleTickData;

public class OnlySelf extends DelegatingParticleElement {

    public OnlySelf(ParticleElement particleElement) {
        super(particleElement);
    }

    @Override
    public String attribute() {
        return null;
    }

    @Override
    public void tick(ParticleTickData particleTickData) {
        particleElement.tick(particleTickData.onlySelf());
    }
}
